Bug 198886 - install_initd does not work with LSB-conforming init scripts
install_initd does not work with LSB-conforming init scripts
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 08:32 EDT by Peter Eisentraut
Modified: 2014-03-25 20:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Eisentraut 2006-07-14 08:32:17 EDT
Description of problem:

The programs install_initd and remove_initd do not support init scripts that 
do not contain chkconfig-specific markings.  LSB specifies that these programs 
should operate on ### BEGIN INIT INFO/### END INIT INFO blocks, but even if 
these blocks are present, install_initdb and remove_initd complain that the 
service does not support chkconfig.  This breaks the fundamental purpose of 
these programs.

When adding chkconfig markings (chkconfig: and description:) before the LSB 
info blocks, it works.

Version-Release number of selected component (if applicable): 1.3-5.2
Comment 1 Jiri Pallich 2012-06-20 12:08:55 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.